<div class="addContainer">
    <div class="modalHeader">
        <div class="editRowModal">
            <div class="modalHeader clearfix">
                <div class="modal-about">
                    <div class="font-weight-bold p-t-5 p-l-10 font-17">
                        {{dialogTitle}}</div>
                </div>
            </div>
        </div>
        <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
            <mat-icon>close</mat-icon>
        </button>
    </div>
    <div mat-dialog-content>
        <form class="register-form m-4" [formGroup]="PlantillaForm">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-label>Titulo Plantilla</mat-label>
                        <input matInput formControlName="Titulo" required>
                        <mat-icon matSuffix>assignment</mat-icon>
                        <mat-error *ngIf="PlantillaForm.get('Titulo').hasError('required')">
                            Titulo Plantilla es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-label>Notas Plantilla</mat-label>
                        <input matInput formControlName="Notas" required>
                        <mat-icon matSuffix>assignment</mat-icon>
                        <mat-error *ngIf="PlantillaForm.get('Notas').hasError('required')">
                            Notas Plantilla es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                    <div class="example-button-row">
                        <button *ngIf="this.action=='editar'" mat-raised-button color="primary" [disabled]="!PlantillaForm.valid"
                            [mat-dialog-close]="1" (click)="submit()">Editar</button>
                        <button *ngIf="this.action!='editar'" mat-raised-button color="primary" [disabled]="!PlantillaForm.valid"
                            [mat-dialog-close]="1" (click)="nuevaplantilla()">Guardar</button>
                        <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancel</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>